### Function

# Gimp Brush get_by_name

since: 3.0

#### Declaration [src]

    GimpBrush*
    gimp_brush_get_by_name (
      const gchar* name
    )

#### Description [src]

Returns the brush with the given name.

Return an existing brush having the given name. Returns `NULL` when no brush exists of that name.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  The name of the brush.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpBrush`

The brush.

The data is owned by the called function.
The return value can be `NULL`.